Bug 175052 - sendmail(8): base sendmail fails to build with security/cyrus-sasl2
Summary: sendmail(8): base sendmail fails to build with security/cyrus-sasl2
Status: Closed DUPLICATE of bug 244937
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 9.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 20:50 UTC by Paranoid Ted
Modified: 2020-08-01 09:51 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paranoid Ted 2013-01-05 20:50:00 UTC
When trying to rebuild sendmail with SASLv2 according to
http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/smtp-auth.html
the build process stops with the following error:

cc1: warnings being treated as errors
/usr/src/usr.sbin/sendmail/../../contrib/sendmail/src/sasl.c: In function 'sm_sasl_init':
/usr/src/usr.sbin/sendmail/../../contrib/sendmail/src/sasl.c:141: warning: passing argument 1 of 'sasl_set_alloc' from incompatible pointer type
/usr/src/usr.sbin/sendmail/../../contrib/sendmail/src/sasl.c:141: warning: passing argument 2 of 'sasl_set_alloc' from incompatible pointer type
/usr/src/usr.sbin/sendmail/../../contrib/sendmail/src/sasl.c:141: warning: passing argument 3 of 'sasl_set_alloc' from incompatible pointer type
*** [sasl.o] Error code 1


in the following step:
#cd /usr/src/usr.sbin/sendmail
# make cleandir && make obj && make && make install

Fix: 

There is a proposed fix here: http://forums.freebsd.org/showthread.php?p=203528

"changed line 141 in /usr/src/contrib/sendmail/src/sasl.c to:
sasl_set_alloc((sasl_malloc_t *)sm_sasl_malloc, (sasl_calloc_t *)sm_sasl_calloc,
(sasl_realloc_t *)sm_sasl_realloc, (sasl_free_t *)sm_sasl_free);"

N.B. The error manifests itself on i386 but it may not happen on amd64.
How-To-Repeat: Follow steps 1-5 from
http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/smtp-auth.html

The error happens on step 5.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-01-07 03:43:05 UTC
Responsible Changed
From-To: freebsd-bugs->gshapiro

Over to maintainer.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:48 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 Eugene Grosbein freebsd_committer 2020-08-01 09:51:31 UTC
Fixed in supported releases. The FreeBSD Handbook updated.

*** This bug has been marked as a duplicate of bug 244937 ***